WP6PrefixDataPacket Class Reference documentation

Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Attributes | List of all members
WP6PrefixDataPacket Class Referenceabstract

`#include <WP6PrefixDataPacket.h>`

Inheritance diagram for WP6PrefixDataPacket:

## Public Member Functions
| WP6PrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual | ~WP6PrefixDataPacket ()
virtual void | parse (WP6Listener *) const
virtual std::shared_ptr< WP6SubDocument > | getSubDocument () const
unsigned | getDataSize () const

## Static Public Member Functions
static std::shared_ptr< WP6PrefixDataPacket > | constructPrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const WP6PrefixIndice &prefixIndice)

## Protected Member Functions
virtual void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)=0
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Private Attributes
unsigned | m_dataSize

## Constructor & Destructor Documentation

## ◆ WP6PrefixDataPacket()

WP6PrefixDataPacket::WP6PrefixDataPacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

## ◆ ~WP6PrefixDataPacket()

virtual WP6PrefixDataPacket::~WP6PrefixDataPacket | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ _read()

void WP6PrefixDataPacket::_read | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned | dataOffset,
|  | unsigned | dataSize
| ) |  |
| protected

Referenced by WP6CommentAnnotationPacket::WP6CommentAnnotationPacket(), WP6DefaultInitialFontPacket::WP6DefaultInitialFontPacket(), WP6ExtendedDocumentSummaryPacket::WP6ExtendedDocumentSummaryPacket(), WP6FillStylePacket::WP6FillStylePacket(), WP6FontDescriptorPacket::WP6FontDescriptorPacket(), WP6GeneralTextPacket::WP6GeneralTextPacket(), WP6GraphicsBoxStylePacket::WP6GraphicsBoxStylePacket(), WP6GraphicsCachedFileDataPacket::WP6GraphicsCachedFileDataPacket(), WP6GraphicsFilenamePacket::WP6GraphicsFilenamePacket(), WP6HyperlinkPacket::WP6HyperlinkPacket(), WP6OutlineStylePacket::WP6OutlineStylePacket(), and WP6TableStylePacket::WP6TableStylePacket().

## ◆ _readContents()

virtual void WP6PrefixDataPacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| protectedpure virtual

Implemented in WP6TableStylePacket, WP6OutlineStylePacket, WP6HyperlinkPacket, WP6GraphicsFilenamePacket, WP6GraphicsCachedFileDataPacket, WP6GraphicsBoxStylePacket, WP6GeneralTextPacket, WP6FontDescriptorPacket, WP6FillStylePacket, WP6ExtendedDocumentSummaryPacket, WP6DefaultInitialFontPacket, and WP6CommentAnnotationPacket.

Referenced by _read().

## ◆ constructPrefixDataPacket()

std::shared_ptr< WP6PrefixDataPacket > WP6PrefixDataPacket::constructPrefixDataPacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const WP6PrefixIndice & | prefixIndice
| ) |  |
| static

Referenced by WP6PrefixData::WP6PrefixData().

## ◆ getDataSize()

unsigned WP6PrefixDataPacket::getDataSize | ( |  | ) | const
| inline

Referenced by WP6GeneralTextPacket::_readContents(), WP6GraphicsCachedFileDataPacket::_readContents(), and WP6HyperlinkPacket::_readContents().

## ◆ getSubDocument()

virtual std::shared_ptr<WP6SubDocument> WP6PrefixDataPacket::getSubDocument | ( |  | ) | const
| inlinevirtual

Reimplemented in WP6GeneralTextPacket.

Referenced by WP6StylesListener::headerFooterGroup().

## ◆ parse()

virtual void WP6PrefixDataPacket::parse | ( | WP6Listener * |  | ) | const
| inlinevirtual

Reimplemented in WP6OutlineStylePacket, WP6GeneralTextPacket, WP6ExtendedDocumentSummaryPacket, WP6DefaultInitialFontPacket, WP6TableStylePacket, WP6GraphicsFilenamePacket, WP6GraphicsCachedFileDataPacket, WP6GraphicsBoxStylePacket, WP6FillStylePacket, and WP6CommentAnnotationPacket.

## Member Data Documentation

## ◆ m_dataSize

unsigned WP6PrefixDataPacket::m_dataSize
| private

Referenced by _read(), and getDataSize().

The documentation for this class was generated from the following files:

- WP6PrefixDataPacket.h
- WP6PrefixDataPacket.cpp